# Generated from rspec-legacy_formatters-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspec-legacy_formatters

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: rspec-legacy_formatters-1.0.2
License: MIT
URL: https://github.com/rspec/rspec-legacy_formatters
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(cucumber) >= 1.3
# BuildRequires: rubygem(cucumber) < 2
# BuildRequires: rubygem(aruba) >= 0.5
# BuildRequires: rubygem(aruba) < 1
# BuildRequires: rubygem(aruba) < 0.9
# BuildRequires: rubygem(fuubar) = 1.3.2
# BuildRequires: rubygem(nyan-cat-formatter) = 0.5.2
# BuildRequires: rubygem(rspec-instafail) = 0.2.4
# BuildRequires: rubygem(rspec-extra-formatters) = 1.0.0
# BuildRequires: rubygem(fivemat) = 1.2.1
BuildArch: noarch

%description
Support for RSpec 2.x formatters on 3.x.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/License.txt
%{gem_libdir}
%{gem_instdir}/maintenance-branch
%{gem_instdir}/script
%{gem_instdir}/smoke_specs
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/Changelog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_instdir}/rspec-legacy_formatters.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.2-1
- Initial package
